Subject: Re: Problem with 2.4.24 e1000 and keepalived

From: Willy Tarreau <[email-masked]>
Date: Thu, 8 Jan 2004 09:46:05 +0100

On Thu, Jan 08, 2004 at 12:07:10AM -0800, Ben Greear wrote:
 
> No, I meant what I said:  You have to tell many drivers to bring the 
> interface
> up before they will attempt (or at least report) link negotiation.
> You do NOT have to give it an IP address or add any routes to it.

ah, OK. No, anyway, it is just a matter of wrongly detecting link state
after the link has been plugged while the interface was already UP, no
matter if an IP was set or not.

> But, I don't know about your particular program, I just suspect it
> is related to detecting link state.  I think tg3 detects link when
> the interface is not UP, if you have some tg3 nics maybe you could
> try with them?

As far as I have tested, tg3 are fine WRT this.

Willy